View Issue Details

IDProjectCategoryView StatusLast Update
0014335LazarusWidgetsetpublic2009-09-10 16:21
ReporterWimpie Nortje Assigned ToVincent Snijders  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSKubuntu 
Product Version0.9.27 (SVN) 
Target Version0.9.30Fixed in Version0.9.27 (SVN) 
Summary0014335: Including cthread floods stdout when app is started from commandline
DescriptionIncluding cthread causes the string "TGtkWidgetSet.PostMessage ToDo: wake up gtk" to be displayed on the commandline for most (if not every) action on the GUI, such as moving the mouse cursor onto a button.

All these messages makes it very difficult to follow the rest of the application's stdout messages.
Steps To ReproduceCreate a GUI project for GTK.
Include cthreads.
Compile and run from the commandline.
Additional InformationWhen cthreads is removed from include list the "TGtkWidgetSet.PostMessage ToDo: wake up gtk" string is not displayed.
TagsNo tags attached.
Fixed in Revision21622
LazTarget0.9.30
WidgetsetGTK
Attached Files

Relationships

related to 0012145 closedMartin Friebe Debuger freeze 
related to 0012007 closedMattias Gaertner gtk2 (gtk1) PostMessage called from thread might not work! 

Activities

Vincent Snijders

2009-08-17 16:10

manager   ~0029925

At first glance it is strange that if GetThreadID <> MainThreadID then evaluates to true for a simple gui application.

Burkhard Carstens

2009-09-04 11:41

reporter   ~0030399

I'd consider this a major bug which should be fixed before 0.9.28 release!

Vincent Snijders

2009-09-08 14:22

manager   ~0030540

See also http://lists.freepascal.org/lists/fpc-pascal/2009-September/022141.html

Wimpie Nortje

2009-09-10 16:21

reporter   ~0030598

Tested in r21645. Bug is fixed.

Issue History

Date Modified Username Field Change
2009-08-13 00:17 Wimpie Nortje New Issue
2009-08-13 00:17 Wimpie Nortje Widgetset => GTK
2009-08-17 15:53 Vincent Snijders LazTarget => 0.9.30
2009-08-17 15:53 Vincent Snijders Status new => acknowledged
2009-08-17 15:53 Vincent Snijders Target Version => 0.9.30
2009-08-17 16:03 Vincent Snijders Relationship added related to 0012145
2009-08-17 16:05 Vincent Snijders Relationship added related to 0012007
2009-08-17 16:10 Vincent Snijders Note Added: 0029925
2009-09-04 11:41 Burkhard Carstens Note Added: 0030399
2009-09-08 14:22 Vincent Snijders Note Added: 0030540
2009-09-08 14:22 Vincent Snijders Fixed in Revision => 21622
2009-09-08 14:22 Vincent Snijders Status acknowledged => resolved
2009-09-08 14:22 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-09-08 14:22 Vincent Snijders Resolution open => fixed
2009-09-08 14:22 Vincent Snijders Assigned To => Vincent Snijders
2009-09-10 08:40 Vincent Snijders Fixed in Version 0.9.29 (SVN) => 0.9.27 (SVN)
2009-09-10 16:21 Wimpie Nortje Status resolved => closed
2009-09-10 16:21 Wimpie Nortje Note Added: 0030598